-- Lantern theme for Scintillua/SASS.
-- Modifications to css.lua and sass.lua needed

local property = lexer.property

-- CSS
property['theme.css.operator' ] = 'fore:#777799' -- toxin
property['theme.css.selector' ] = 'fore:#EE9955' -- orange
property['theme.css.pseudo'   ] = 'fore:#CCBB77' -- yellow
property['theme.css.property' ] = 'fore:#88BBDD' -- blue
property['theme.css.value'    ] = 'fore:#CCDDDD' -- steel
property['theme.css.variable' ] = 'fore:#999977' -- olive
property['theme.css.string'   ] = 'fore:#AAAAAA' -- grey
property['theme.css.important'] = 'fore:#777799' -- toxin
property['theme.css.at_rule'  ] = 'fore:#777799' -- toxin

property['style.css.important'] = '$(theme.css.important)'
property['style.css.property' ] = '$(theme.css.property)'
property['style.css.pseudo'   ] = '$(theme.css.pseudo)'
property['style.css.color'    ] = '$(theme.css.value)'
property['style.css.selector' ] = '$(theme.css.selector)'
property['style.css.string'   ] = '$(theme.css.string)'
property['style.css.value'    ] = '$(theme.css.value)'
property['style.css.number'   ] = '$(theme.css.value)'
property['style.css.unit'     ] = '$(theme.css.value)'
property['style.css.operator' ] = '$(theme.css.operator)'
property['style.css.at_rule'  ] = '$(theme.css.at_rule)'
property['style.css.variable' ] = '$(theme.css.variable)'